using adas_core.Domain.Models;
using adas_core.Domain.Models.MongoModels;
using MongoDB.Bson;

namespace adas_core.Application.Services.Interfaces;

public interface IDiagnosisService : IApiRequestService
{
    Task<List<PatientDiagnosis>> GetByPatientId(ObjectId patientId);
    Task DeleteByPatientId(ObjectId id);
    Task Archive(Patient patient);
    Task ArchiveByPatientId(ObjectId id);
    Task ProcessDiagnosisObservation(ApiRequest apiRequest, Patient patient);
    Task SaveRequest(ApiRequest apiRequest, Patient patient);
    Task ProcessDiagnosis(List<PatientDiagnosis> diagnosis, Patient patient, DateTime messageTime);
    Task UpdateManyObjectId(string nameId, ObjectId id, ObjectId oldId);
}